Show / Hide Table of Contents

# Class OpenIddictEntityFrameworkScopeStoreResolver

Exposes a method allowing to resolve a scope store.

##### Inheritance

System.Object
OpenIddictEntityFrameworkScopeStoreResolver

###### Namespace: OpenIddict.EntityFramework

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictEntityFrameworkScopeStoreResolver : IOpenIddictScopeStoreResolver

### Constructors

#### OpenIddictEntityFrameworkScopeStoreResolver(OpenIddictEntityFrameworkScopeStoreResolver.TypeResolutionCache, IOptionsMonitor<OpenIddictEntityFrameworkOptions>, IServiceProvider)

##### Declaration

    public OpenIddictEntityFrameworkScopeStoreResolver(OpenIddictEntityFrameworkScopeStoreResolver.TypeResolutionCache cache, IOptionsMonitor<OpenIddictEntityFrameworkOptions> options, IServiceProvider provider)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictEntityFrameworkScopeStoreResolver.TypeResolutionCache | cache |
IOptionsMonitor<OpenIddictEntityFrameworkOptions> | options |
System.IServiceProvider | provider |

### Methods

#### Get<TScope>()

Returns a scope store compatible with the specified scope type or throws an System.InvalidOperationException if no store can be built using the specified type.

##### Declaration

    public IOpenIddictScopeStore<TScope> Get<TScope>()
        where TScope : class

##### Returns

Type | Description
--- | ---
IOpenIddictScopeStore<TScope> | An .

##### Type Parameters

Name | Description
--- | ---
TScope | The type of the Scope entity.